package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAxWarehouseInboundCallbackRequest struct {
	/*
	   消息体     */
	ReverseInBoundCallBackRequest *domain.AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest `json:"reverse_in_bound_call_back_request,omitempty" required:"false" `
}

func (s *AlibabaAxWarehouseInboundCallbackRequest) SetReverseInBoundCallBackRequest(v domain.AlibabaAxWarehouseInboundCallbackTopReverseInBoundCallBackRequest) *AlibabaAxWarehouseInboundCallbackRequest {
	s.ReverseInBoundCallBackRequest = &v
	return s
}

func (req *AlibabaAxWarehouseInboundCallbackRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ReverseInBoundCallBackRequest != nil {
		paramMap["reverse_in_bound_call_back_request"] = util.ConvertStruct(*req.ReverseInBoundCallBackRequest)
	}
	return paramMap
}

func (req *AlibabaAxWarehouseInboundCallbackRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
